﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_ALARMMSGSENDLOG') 
 CREATE TABLE T_WF_ALARMMSGSENDLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FALARMSCENE VARCHAR(200) DEFAULT ' ' NOT NULL,
FTIMES INT DEFAULT 0 NOT NULL,
FRECEIVER NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCHANNELNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCHANNEL VARCHAR(200) DEFAULT ' ' NOT NULL,
FMESSAGEIDS VARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGEIDS_TAG NCLOB,
FMONITORID BIGINT DEFAULT 0 NOT NULL,
FALARMRULEID BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_ALARMMSGSENDLOG_L') 
 CREATE TABLE T_WF_ALARMMSGSENDLOG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FRECEIVER NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCHANNELNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_ALARMRULE') 
 CREATE TABLE T_WF_ALARMRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FALARMSCENE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANNEL VARCHAR(200) DEFAULT ' ' NOT NULL,
FCHANNELNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FRECEIVER VARCHAR(500) DEFAULT ' ' NOT NULL,
FRECEIVERNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTIMES INT DEFAULT 0 NOT NULL,
FINTERVAL INT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_ALARMRULE_L') 
 CREATE TABLE T_WF_ALARMRULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FRECEIVERNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCHANNELNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_RECOVERSYSERRLOG') 
 CREATE TABLE T_WF_RECOVERSYSERRLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FERRORTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECOVERDETAILS VARCHAR(255) DEFAULT ' ' NOT NULL,
FRECOVERDETAILS_TAG NCLOB,
FFIXTOTAL BIGINT DEFAULT 0 NOT NULL,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_SCHEDULEMQMANAGE') 
 CREATE TABLE T_WF_SCHEDULEMQMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FERRORCODE VARCHAR(200) DEFAULT ' ' NOT NULL,
FERRORTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FERRORINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FERRORINFO_TAG NCLOB,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_SCHEDULEMQMANAGE_L') 
 CREATE TABLE T_WF_SCHEDULEMQMANAGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
