﻿ /**插件耗时明细表 **/
 EXEC P_ALTERPK 'PK_WF_PLUGINEXEDETAIL', 'T_WF_PLUGINEXEDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXEDETL_PROCINST') CREATE INDEX IDX_WF_PLUGINEXEDETL_PROCINST ON T_WF_PLUGINEXEDETAIL ( FPROCINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXEDETL_PLUGINNO') CREATE INDEX IDX_WF_PLUGINEXEDETL_PLUGINNO ON T_WF_PLUGINEXEDETAIL ( FPLUGINNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXEDETL_PROCNO') CREATE INDEX IDX_WF_PLUGINEXEDETL_PROCNO ON T_WF_PLUGINEXEDETAIL ( FPROCESSNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXEDETL_JOBID') CREATE INDEX IDX_WF_PLUGINEXEDETL_JOBID ON T_WF_PLUGINEXEDETAIL ( FJOBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXEDETL_CREADATE') CREATE INDEX IDX_WF_PLUGINEXEDETL_CREADATE ON T_WF_PLUGINEXEDETAIL ( FCREATEDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXEDETL_BUSKEY') CREATE INDEX IDX_WF_PLUGINEXEDETL_BUSKEY ON T_WF_PLUGINEXEDETAIL ( FBUSINESSKEY );

/**插件耗时明细多语言表 **/
 EXEC P_ALTERPK 'PK_WF_PLUGINEXEDETAIL_L', 'T_WF_PLUGINEXEDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXEDETAIL_L' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXEDETAIL_L') CREATE INDEX IDX_WF_PLUGINEXEDETAIL_L ON T_WF_PLUGINEXEDETAIL_L ( FID ,FLOCALEID );

/**插件耗时总表 **/
 EXEC P_ALTERPK 'PK_WF_PLUGINEXESUMMARY', 'T_WF_PLUGINEXESUMMARY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXESUMMARY' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXESUMY_PLUGINNO') CREATE INDEX IDX_WF_PLUGINEXESUMY_PLUGINNO ON T_WF_PLUGINEXESUMMARY ( FPLUGINNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXESUMMARY' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXESUMY_PLUGNAME') CREATE INDEX IDX_WF_PLUGINEXESUMY_PLUGNAME ON T_WF_PLUGINEXESUMMARY ( FPLUGINNAME );

/**插件耗时总表多语言表 **/
 EXEC P_ALTERPK 'PK_WF_PLUGINEXESUMMARY_L', 'T_WF_PLUGINEXESUMMARY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINEXESUMMARY_L' AND KSQL_INDNAME = 'IDX_WF_PLUGINEXESUMMARY_L') CREATE INDEX IDX_WF_PLUGINEXESUMMARY_L ON T_WF_PLUGINEXESUMMARY_L ( FID ,FLOCALEID );

/**插件流程信息多语言表 **/
 EXEC P_ALTERPK 'PK_WF_PLUGINPROCINFO_L', 'T_WF_PLUGINPROCINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINPROCINFO_L' AND KSQL_INDNAME = 'IDX_WF_PLUGINPROCINFO_L') CREATE INDEX IDX_WF_PLUGINPROCINFO_L ON T_WF_PLUGINPROCINFO_L ( FID ,FLOCALEID );

/**插件流程信息表 **/
 EXEC P_ALTERPK 'PK_WF_PLUGINPROCINFO', 'T_WF_PLUGINPROCINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINPROCINFO' AND KSQL_INDNAME = 'IDX_WF_PLUGINPROCINF_PROCPLUG') CREATE INDEX IDX_WF_PLUGINPROCINF_PROCPLUG ON T_WF_PLUGINPROCINFO ( FPROCESSNO ,FPLUGINNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINPROCINFO' AND KSQL_INDNAME = 'IDX_WF_PLUGINPROCINF_PLUGNAME') CREATE INDEX IDX_WF_PLUGINPROCINF_PLUGNAME ON T_WF_PLUGINPROCINFO ( FPLUGINNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINPROCINFO' AND KSQL_INDNAME = 'IDX_WF_PLUGINPROCINF_PLUGTYPE') CREATE INDEX IDX_WF_PLUGINPROCINF_PLUGTYPE ON T_WF_PLUGINPROCINFO ( FPLUGINTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PLUGINPROCINFO' AND KSQL_INDNAME = 'IDX_WF_PLUGINPROCINF_PROCDEF') CREATE INDEX IDX_WF_PLUGINPROCINF_PROCDEF ON T_WF_PLUGINPROCINFO ( FPROCDEFID );