﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_ARCHIVE') 
 CREATE TABLE T_MSG_ARCHIVE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FARCHIVEENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATABASE VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATABASEZONE VARCHAR(100) DEFAULT ' ' NOT NULL,
FDBZONENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSCHEDULETOTALSUM BIGINT DEFAULT 0 NOT NULL,
FPROGRESS VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPREDICTTIME DECIMAL(19,6) DEFAULT 0 NOT NULL,
FALLDATASUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFAILREASON VARCHAR(100) DEFAULT ' ' NOT NULL,
FSCHEDULESIZE INT DEFAULT 0 NOT NULL,
FARCHIVEMSG NCLOB,
FARCHPLANSTARTDATE DATETIME,
FARCHSERVICESTARTDATE DATETIME,
FARCHSERVICEENDDATE DATETIME,
FARCHIVERANGE VARCHAR(100) DEFAULT ' ' NOT NULL,
FARCHSTARTDATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FARCHENDDATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_ARCHIVE_L') 
 CREATE TABLE T_MSG_ARCHIVE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDBZONENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_ARCHIVEDETAIL') 
 CREATE TABLE T_MSG_ARCHIVEDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYDATERANGE VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTITYARCHIVESUM BIGINT DEFAULT 0 NOT NULL,
FENTITYTOTALSUM BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_ARCHIVEDETAIL_L') 
 CREATE TABLE T_MSG_ARCHIVEDETAIL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSG_ARCHIVELOG') 
 CREATE TABLE T_MSG_ARCHIVELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FARCHIVESERVICE VARCHAR(100) DEFAULT ' ' NOT NULL,
FARCHIVESERVICEID BIGINT DEFAULT 0 NOT NULL,
FENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FPARENTENTITY VARCHAR(100) DEFAULT ' ' NOT NULL,
FSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUMMARY INT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FSCHSTARTDATE DATETIME,
FSCHENDDATE DATETIME,
FTARGETDATE DATETIME
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
