/**Begin 日志表单-流转日志表 **/
 EXEC P_ALTERPK 'PK_WF_PROCJOBLOG', 'T_WF_PROCJOBLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCJOBLOG_PROCINST') CREATE INDEX IDX_WF_PROCJOBLOG_PROCINST ON T_WF_PROCJOBLOG ( FPROCINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCJOBLOG_BUSKEY') CREATE INDEX IDX_WF_PROCJOBLOG_BUSKEY ON T_WF_PROCJOBLOG ( FBUSINESSKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCJOBLOG_BILLNO') CREATE INDEX IDX_WF_PROCJOBLOG_BILLNO ON T_WF_PROCJOBLOG ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCJOBLOG_OPDATETIME') CREATE INDEX IDX_WF_PROCJOBLOG_OPDATETIME ON T_WF_PROCJOBLOG ( FOPDATE ,FTIMESTAMP );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCJOBLOG_TIMESTAMP') CREATE INDEX IDX_WF_PROCJOBLOG_TIMESTAMP ON T_WF_PROCJOBLOG ( FTIMESTAMP );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCJOBLOG_JOBID') CREATE INDEX IDX_WF_PROCJOBLOG_JOBID ON T_WF_PROCJOBLOG ( FJOBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCJOBLOG_SRCJOBID') CREATE INDEX IDX_WF_PROCJOBLOG_SRCJOBID ON T_WF_PROCJOBLOG ( FSRCJOBID );
/**End 日志表单-流转日志表 **/