﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_constraint.sql **/
 EXEC P_ALTERPK 'PK_WF_NOCODE_HIACTINST', 'T_WF_NOCODE_HIACTINST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACT_ENDTIME') CREATE INDEX IDX_WF_NOCODE_HIACT_ENDTIME ON T_WF_NOCODE_HIACTINST ( FENDTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACT_EXECACTID') CREATE INDEX IDX_WF_NOCODE_HIACT_EXECACTID ON T_WF_NOCODE_HIACTINST ( FEXECUTIONID ,FACTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACT_PROCACTID') CREATE INDEX IDX_WF_NOCODE_HIACT_PROCACTID ON T_WF_NOCODE_HIACTINST ( FPROCINSTID ,FACTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACT_CREDATE') CREATE INDEX IDX_WF_NOCODE_HIACT_CREDATE ON T_WF_NOCODE_HIACTINST ( FCREATEDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACT_TASKSTEP') CREATE INDEX IDX_WF_NOCODE_HIACT_TASKSTEP ON T_WF_NOCODE_HIACTINST ( FTASKID ,FSTEP );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACT_ACTTYPE') CREATE INDEX IDX_WF_NOCODE_HIACT_ACTTYPE ON T_WF_NOCODE_HIACTINST ( FACTTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACT_PARENTTASK') CREATE INDEX IDX_WF_NOCODE_HIACT_PARENTTASK ON T_WF_NOCODE_HIACTINST ( FPARENTTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACT_BUSKEYENTI') CREATE INDEX IDX_WF_NOCODE_HIACT_BUSKEYENTI ON T_WF_NOCODE_HIACTINST ( FBUSINESSKEY ,FENTITYNUMBER );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIACTINST_L', 'T_WF_NOCODE_HIACTINST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST_L' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIACTINST_L') CREATE INDEX IDX_WF_NOCODE_HIACTINST_L ON T_WF_NOCODE_HIACTINST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HICOMMENT_A', 'T_WF_NOCODE_HICOMMENT_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT_A' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_A_EXTDATE') CREATE INDEX IDX_WF_NC_HICOMMENT_A_EXTDATE ON T_WF_NOCODE_HICOMMENT_A ( FEXTENDDATE2 );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HICOMMENT_L', 'T_WF_NOCODE_HICOMMENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT_L' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HICOMMENT_L') CREATE INDEX IDX_WF_NOCODE_HICOMMENT_L ON T_WF_NOCODE_HICOMMENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIPARTICIPANT', 'T_WF_NOCODE_HIPARTICIPANT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT' AND KSQL_INDNAME = 'IDX_WF_NC_HIPARTCPANT_PROCINST') CREATE INDEX IDX_WF_NC_HIPARTCPANT_PROCINST ON T_WF_NOCODE_HIPARTICIPANT ( FPROCINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT' AND KSQL_INDNAME = 'IDX_WF_NC_HIPARTCPANT_TASK') CREATE INDEX IDX_WF_NC_HIPARTCPANT_TASK ON T_WF_NOCODE_HIPARTICIPANT ( FTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT' AND KSQL_INDNAME = 'IDX_WF_NC_HIPARTCPANT_USER') CREATE INDEX IDX_WF_NC_HIPARTCPANT_USER ON T_WF_NOCODE_HIPARTICIPANT ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT' AND KSQL_INDNAME = 'IDX_WF_NC_HIPARTCPANT_PTASKSUB') CREATE INDEX IDX_WF_NC_HIPARTCPANT_PTASKSUB ON T_WF_NOCODE_HIPARTICIPANT ( FPARENTTASKID ,FSUBSCRIBESIGN );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT' AND KSQL_INDNAME = 'IDX_WF_NC_HIPARTCPANT_COMPTASK') CREATE INDEX IDX_WF_NC_HIPARTCPANT_COMPTASK ON T_WF_NOCODE_HIPARTICIPANT ( FCOMPOSITETASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT' AND KSQL_INDNAME = 'IDX_WF_NC_HIPARTCPANT_OWNERID') CREATE INDEX IDX_WF_NC_HIPARTCPANT_OWNERID ON T_WF_NOCODE_HIPARTICIPANT ( FOWNERID ,FTYPE ,FENDTIME ,FDELEGATEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT' AND KSQL_INDNAME = 'IDX_WF_NC_HIPARTCPANT_TYPE') CREATE INDEX IDX_WF_NC_HIPARTCPANT_TYPE ON T_WF_NOCODE_HIPARTICIPANT ( FTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT' AND KSQL_INDNAME = 'IDX_WF_NC_HIPARTCPANT_CREDATE') CREATE INDEX IDX_WF_NC_HIPARTCPANT_CREDATE ON T_WF_NOCODE_HIPARTICIPANT ( FCREATEDATE );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIPARTICIPANT_L', 'T_WF_NOCODE_HIPARTICIPANT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT_L' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIPARTICIPANT_L') CREATE INDEX IDX_WF_NOCODE_HIPARTICIPANT_L ON T_WF_NOCODE_HIPARTICIPANT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIPROCINST', 'T_WF_NOCODE_HIPROCINST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIPROCINST_BUSKEY') CREATE INDEX IDX_WF_NC_HIPROCINST_BUSKEY ON T_WF_NOCODE_HIPROCINST ( FBUSINESSKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIPROCINST_ENDTIME') CREATE INDEX IDX_WF_NC_HIPROCINST_ENDTIME ON T_WF_NOCODE_HIPROCINST ( FENDTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIPROCINST_TCCOUNT') CREATE INDEX IDX_WF_NC_HIPROCINST_TCCOUNT ON T_WF_NOCODE_HIPROCINST ( FCREATORID ,FENDTIME ,FBILLTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIPROCINST_CREDATE') CREATE INDEX IDX_WF_NC_HIPROCINST_CREDATE ON T_WF_NOCODE_HIPROCINST ( FCREATEDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIPROCINST_ENDTYPE') CREATE INDEX IDX_WF_NC_HIPROCINST_ENDTYPE ON T_WF_NOCODE_HIPROCINST ( FENDTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIPROCINST_TRACETYPE') CREATE INDEX IDX_WF_NC_HIPROCINST_TRACETYPE ON T_WF_NOCODE_HIPROCINST ( FBIZTRACENO ,FPROCESSTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIPROCINST_PROCDEF') CREATE INDEX IDX_WF_NC_HIPROCINST_PROCDEF ON T_WF_NOCODE_HIPROCINST ( FPROCDEFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIPROCINST_SPROCINST') CREATE INDEX IDX_WF_NC_HIPROCINST_SPROCINST ON T_WF_NOCODE_HIPROCINST ( FSUPERPROCINSTID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIPROCINST_L', 'T_WF_NOCODE_HIPROCINST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST_L' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIPROCINST_L') CREATE INDEX IDX_WF_NOCODE_HIPROCINST_L ON T_WF_NOCODE_HIPROCINST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HITASKINST_A', 'T_WF_NOCODE_HITASKINST_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST_A' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_A_EXTDATE') CREATE INDEX IDX_WF_NOCODE_HITASK_A_EXTDATE ON T_WF_NOCODE_HITASKINST_A ( FEXTENDDATE2 );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIUSERACTINST', 'T_WF_NOCODE_HIUSERACTINST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIUSERACTINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIUSERACT_NODEID') CREATE INDEX IDX_WF_NC_HIUSERACT_NODEID ON T_WF_NOCODE_HIUSERACTINST ( FCURRENTACTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIUSERACTINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIUSERACT_PROCID') CREATE INDEX IDX_WF_NC_HIUSERACT_PROCID ON T_WF_NOCODE_HIUSERACTINST ( FPROINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIUSERACTINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIUSERACT_EXECID') CREATE INDEX IDX_WF_NC_HIUSERACT_EXECID ON T_WF_NOCODE_HIUSERACTINST ( FCURRENTEXECUTIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIUSERACTINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIUSERACT_BUSKEY') CREATE INDEX IDX_WF_NC_HIUSERACT_BUSKEY ON T_WF_NOCODE_HIUSERACTINST ( FBUSINESSKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIUSERACTINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIUSERACT_CURINSTID') CREATE INDEX IDX_WF_NC_HIUSERACT_CURINSTID ON T_WF_NOCODE_HIUSERACTINST ( FCURRENTACTINSTID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIUSERACTINST_L', 'T_WF_NOCODE_HIUSERACTINST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIUSERACTINST_L' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIUSERACTINST_L') CREATE INDEX IDX_WF_NOCODE_HIUSERACTINST_L ON T_WF_NOCODE_HIUSERACTINST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIVARINST', 'T_WF_NOCODE_HIVARINST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIVARINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIVARINST_NAMETYPE') CREATE INDEX IDX_WF_NC_HIVARINST_NAMETYPE ON T_WF_NOCODE_HIVARINST ( FNAME ,FVARTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIVARINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIVARINST_PROCIDNAME') CREATE INDEX IDX_WF_NC_HIVARINST_PROCIDNAME ON T_WF_NOCODE_HIVARINST ( FPROCINSTID ,FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIVARINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIVARINST_TASKID') CREATE INDEX IDX_WF_NC_HIVARINST_TASKID ON T_WF_NOCODE_HIVARINST ( FTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIVARINST' AND KSQL_INDNAME = 'IDX_WF_NC_HIVARINST_EXECNAME') CREATE INDEX IDX_WF_NC_HIVARINST_EXECNAME ON T_WF_NOCODE_HIVARINST ( FEXECUTIONID ,FNAME );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HICOMMENT', 'T_WF_NOCODE_HICOMMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_PROCTASK') CREATE INDEX IDX_WF_NC_HICOMMENT_PROCTASK ON T_WF_NOCODE_HICOMMENT ( FPROCINSTID ,FTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_TASKTYPEOW') CREATE INDEX IDX_WF_NC_HICOMMENT_TASKTYPEOW ON T_WF_NOCODE_HICOMMENT ( FTASKID ,FTYPE ,FOWNERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_USERTYPE') CREATE INDEX IDX_WF_NC_HICOMMENT_USERTYPE ON T_WF_NOCODE_HICOMMENT ( FUSERID ,FTYPE ,FEXECUTIONTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_ENTINUMBER') CREATE INDEX IDX_WF_NC_HICOMMENT_ENTINUMBER ON T_WF_NOCODE_HICOMMENT ( FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_OWNTYPE') CREATE INDEX IDX_WF_NC_HICOMMENT_OWNTYPE ON T_WF_NOCODE_HICOMMENT ( FOWNERID ,FTYPE ,FEXECUTIONTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_TIME') CREATE INDEX IDX_WF_NC_HICOMMENT_TIME ON T_WF_NOCODE_HICOMMENT ( FTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_BUSKEY') CREATE INDEX IDX_WF_NC_HICOMMENT_BUSKEY ON T_WF_NOCODE_HICOMMENT ( FBUSINESSKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT' AND KSQL_INDNAME = 'IDX_WF_NC_HICOMMENT_DELGIDTYPE') CREATE INDEX IDX_WF_NC_HICOMMENT_DELGIDTYPE ON T_WF_NOCODE_HICOMMENT ( FDELEGATEID ,FTYPE ,FEXECUTIONTYPE );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HITASKINST', 'T_WF_NOCODE_HITASKINST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_PROCINST') CREATE INDEX IDX_WF_NOCODE_HITASK_PROCINST ON T_WF_NOCODE_HITASKINST ( FPROCINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_TCCOUNT') CREATE INDEX IDX_WF_NOCODE_HITASK_TCCOUNT ON T_WF_NOCODE_HITASKINST ( FASSIGNEEID ,FENDTIME ,FISDISPLAY ,FEXECUTIONTYPE ,FENDTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_ENTNUMBER') CREATE INDEX IDX_WF_NOCODE_HITASK_ENTNUMBER ON T_WF_NOCODE_HITASKINST ( FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_PTASKID') CREATE INDEX IDX_WF_NOCODE_HITASK_PTASKID ON T_WF_NOCODE_HITASKINST ( FPARENTTASKID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_BILLTYPE') CREATE INDEX IDX_WF_NOCODE_HITASK_BILLTYPE ON T_WF_NOCODE_HITASKINST ( FBILLTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_DATETIME') CREATE INDEX IDX_WF_NOCODE_HITASK_DATETIME ON T_WF_NOCODE_HITASKINST ( FCREATEDATE ,FENDTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_BUSKEY') CREATE INDEX IDX_WF_NOCODE_HITASK_BUSKEY ON T_WF_NOCODE_HITASKINST ( FBUSINESSKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASK_TIMEPROC') CREATE INDEX IDX_WF_NOCODE_HITASK_TIMEPROC ON T_WF_NOCODE_HITASKINST ( FENDTIME ,FPROCDEFID ,FCATEGORY );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HITASKINST_L', 'T_WF_NOCODE_HITASKINST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST_L' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HITASKINST_L') CREATE INDEX IDX_WF_NOCODE_HITASKINST_L ON T_WF_NOCODE_HITASKINST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIDYNRESOURCE', 'T_WF_NOCODE_HIDYNRESOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIDYNRESOURCE' AND KSQL_INDNAME = 'IDX_WF_NC_HIDYNRES_PROCDEFINST') CREATE INDEX IDX_WF_NC_HIDYNRES_PROCDEFINST ON T_WF_NOCODE_HIDYNRESOURCE ( FPROCDEFID ,FPROCINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIDYNRESOURCE' AND KSQL_INDNAME = 'IDX_WF_NC_HIDYNRES_TYPE') CREATE INDEX IDX_WF_NC_HIDYNRES_TYPE ON T_WF_NOCODE_HIDYNRESOURCE ( FTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIDYNRESOURCE' AND KSQL_INDNAME = 'IDX_WF_NC_HIDYNRES_PROCINST') CREATE INDEX IDX_WF_NC_HIDYNRES_PROCINST ON T_WF_NOCODE_HIDYNRESOURCE ( FPROCINSTID );


 EXEC P_ALTERPK 'PK_WF_NOCODE_HIDYNRESOURCE_L', 'T_WF_NOCODE_HIDYNRESOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIDYNRESOURCE_L' AND KSQL_INDNAME = 'IDX_WF_NOCODE_HIDYNRESOURCE_L') CREATE INDEX IDX_WF_NOCODE_HIDYNRESOURCE_L ON T_WF_NOCODE_HIDYNRESOURCE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_constraint.sql **/
