﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST') 
 CREATE TABLE T_WF_NOCODE_HIACTINST (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FACTID VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARENTTASKID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCALLPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FACTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNEEID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FSOURCEELEMENTID BIGINT DEFAULT 0 NOT NULL,
FTARGETELEMENTID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMODIFYDATE DATETIME,
FSTEP INT DEFAULT 0 NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FCYCLE VARCHAR(255) DEFAULT ' ' NOT NULL,
FJOINFLAG VARCHAR(2000) DEFAULT ' ' NOT NULL,
FFORKPATH VARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FASSIGNEE NVARCHAR(115) DEFAULT ' ' NOT NULL,
FSKIPREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDELETEREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FREALDURATION BIGINT DEFAULT 0 NOT NULL,
FBIZTRACENO VARCHAR(255) DEFAULT ' ' NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIACTINST_L') 
 CREATE TABLE T_WF_NOCODE_HIACTINST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL,
FACTNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FASSIGNEE NVARCHAR(115) DEFAULT ' ' NOT NULL,
FSKIPREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDELETEREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT_A') 
 CREATE TABLE T_WF_NOCODE_HICOMMENT_A (
FID BIGINT DEFAULT 0 NOT NULL,
FEXTENDDATE2 DATETIME,
FEXTENDNUMBER2 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT_L') 
 CREATE TABLE T_WF_NOCODE_HICOMMENT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL,
FMESSAGE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRESULTNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FASSIGNEE NVARCHAR(500) DEFAULT ' ' NOT NULL,
FACTIVITYNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUBACTIVITYNAME NVARCHAR(230) DEFAULT ' ' NOT NULL,
FUSERNAMEFORMATTER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCOORDINVITEOPINION NCLOB,
FTRUSTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENTSUBJECT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSENSITIVEFIELDCHANGE NCLOB,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FSENDERNAMEFORMAT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTNAMEFORMAT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRESENTASSIGNEE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSENDERNAME NVARCHAR(400) DEFAULT ' ' NOT NULL,
FSTARTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDMULSTR1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDMULSTR2 NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT') 
 CREATE TABLE T_WF_NOCODE_HIPARTICIPANT (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FPARENTTASKID BIGINT DEFAULT 0 NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FTRANSFEROPINION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSUBSCRIBESIGN CHAR(1) DEFAULT '1' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FPRIORITY INT DEFAULT 0 NOT NULL,
FCOMPOSITETASKID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSERNAMEFORMATTER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDELEGATEID BIGINT DEFAULT 0 NOT NULL,
FISDISPLAY CHAR(1) DEFAULT '1' NOT NULL,
FTRUSTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRUSTNAMEFORMAT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCURRENTSUBJECT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FREADTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPARTICIPANT_L') 
 CREATE TABLE T_WF_NOCODE_HIPARTICIPANT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FUSERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRANSFEROPINION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FUSERNAMEFORMATTER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTRUSTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTRUSTNAMEFORMAT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCURRENTSUBJECT NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST') 
 CREATE TABLE T_WF_NOCODE_HIPROCINST (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FSTARTUSERID BIGINT DEFAULT 0 NOT NULL,
FSTARTACTID VARCHAR(255) DEFAULT ' ' NOT NULL,
FENDACTID VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUPERPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FDELETEREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FMAINORGID BIGINT DEFAULT 0 NOT NULL,
FTESTINGPLANID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FENDTYPE VARCHAR(10) DEFAULT '10' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUBJECT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FACTIVITYNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTRABILLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FREALDURATION BIGINT DEFAULT 0 NOT NULL,
FBIZTRACENO VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSID VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCESSTYPE VARCHAR(30) DEFAULT 'AuditFlow' NOT NULL,
FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARUSERNAMEFORMAT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPRIORITYSHOW VARCHAR(50) DEFAULT ' ' NOT NULL,
FROOTPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIPROCINST_L') 
 CREATE TABLE T_WF_NOCODE_HIPROCINST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUBJECT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FACTIVITYNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTRABILLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTARUSERNAMEFORMAT NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST_A') 
 CREATE TABLE T_WF_NOCODE_HITASKINST_A (
FID BIGINT DEFAULT 0 NOT NULL,
FEXTENDDATE2 DATETIME,
FEXTENDNUMBER2 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIUSERACTINST') 
 CREATE TABLE T_WF_NOCODE_HIUSERACTINST (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENTACTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FLASTUSERNODEACTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FPROINSTID BIGINT DEFAULT 0 NOT NULL,
FPATHJSON NCLOB,
FLASTNODECID BIGINT DEFAULT 0 NOT NULL,
FCURRENTACTINSTID BIGINT DEFAULT 0 NOT NULL,
FLASTNODEACTINSTID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FJOINFLAG VARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENTEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FENDTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FLASTNODENAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCURRENTNODENAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIUSERACTINST_L') 
 CREATE TABLE T_WF_NOCODE_HIUSERACTINST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL,
FLASTNODENAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCURRENTNODENAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIVARINST') 
 CREATE TABLE T_WF_NOCODE_HIVARINST (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FVARTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FDOUBLE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLONG BIGINT DEFAULT 0 NOT NULL,
FTIME DATETIME,
FTEXT NCLOB,
FTEXT2 NCLOB,
FACTINSTID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HICOMMENT') 
 CREATE TABLE T_WF_NOCODE_HICOMMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTIME DATETIME,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESULTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECISIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBACKTOBACK CHAR(1) DEFAULT '0' NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FBIZIDENTIFYKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FISPUBLIC CHAR(1) DEFAULT '0' NOT NULL,
FSTEP INT DEFAULT 0 NOT NULL,
FMESSAGE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRESULTNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FASSIGNEE NVARCHAR(500) DEFAULT ' ' NOT NULL,
FACTIVITYNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUBACTIVITYNAME NVARCHAR(230) DEFAULT ' ' NOT NULL,
FUSERNAMEFORMATTER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCOORDINVITEOPINION NCLOB,
FSUBPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FTERMINALWAY VARCHAR(500) DEFAULT ' ' NOT NULL,
FRICHTEXTMESSAGE NCLOB,
FTRUSTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENTSUBJECT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSENSITIVEFIELDCHANGE NCLOB,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FSENDERNAMEFORMAT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTNAMEFORMAT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTERID BIGINT DEFAULT 0 NOT NULL,
FPRESENTASSIGNEE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPROCESSINGMOBILEPAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSINGPAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHANDLESTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSENDERNAME NVARCHAR(400) DEFAULT ' ' NOT NULL,
FDELEGATEID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FEXECUTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISDISPLAY CHAR(1) DEFAULT '1' NOT NULL,
FENDTYPE VARCHAR(30) DEFAULT '1' NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSTYPE VARCHAR(30) DEFAULT 'AuditFlow' NOT NULL,
FEXTENDDATE DATETIME,
FEXTENDNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTENDFORMAT NCLOB,
FEXTENDSTR1 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDSTR2 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDSTR3 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDSTR4 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDSTR5 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDMULSTR1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDMULSTR2 NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST') 
 CREATE TABLE T_WF_NOCODE_HITASKINST (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FTASKDEFKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FPARENTTASKID BIGINT DEFAULT 0 NOT NULL,
FENDTYPE VARCHAR(30) DEFAULT '1' NOT NULL,
FOWNER VARCHAR(100) DEFAULT ' ' NOT NULL,
FASSIGNEE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLAIMTIME DATETIME,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FDELETEREASON NCLOB,
FPRIORITY INT DEFAULT 0 NOT NULL,
FDUEDATE DATETIME,
FFORMKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCATEGORY VARCHAR(100) DEFAULT ' ' NOT NULL,
FISDISPLAY CHAR(1) DEFAULT '1' NOT NULL,
FSTARTERID BIGINT DEFAULT 0 NOT NULL,
FSENDERID NCLOB,
FENTITYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FASSIGNEEID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FYZJGROUPID VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCESSINGPAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHANDLESTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMOBILEFORMKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDELEGATION VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCESSINGMOBILEPAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(100) DEFAULT ' ' NOT NULL,
FVALIDATEOPERATION VARCHAR(500) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUBACTIVITYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUBJECT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FSENDERNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTARTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTICIPANTNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FGROUPNUMBER BIGINT DEFAULT 0 NOT NULL,
FREALDURATION BIGINT DEFAULT 0 NOT NULL,
FBATCHOP VARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZTRACENO VARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSENDERNAMEFORMAT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSTARTNAMEFORMAT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FORGUNITID BIGINT DEFAULT 0 NOT NULL,
FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRESENTASSIGNEE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROCESSTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTROL VARCHAR(500) DEFAULT ' ' NOT NULL,
FEXTENDDATE DATETIME,
FEXTENDNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTENDFORMAT NCLOB,
FEXTENDSTR1 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDSTR2 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDSTR3 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDSTR4 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDSTR5 VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDMULSTR1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDMULSTR2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCAPTIONPC NVARCHAR(300) DEFAULT ' ' NOT NULL,
FCAPTIONMOB NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HITASKINST_L') 
 CREATE TABLE T_WF_NOCODE_HITASKINST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUBACTIVITYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUBJECT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FSENDERNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTARTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARTICIPANTNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FASSIGNEE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSENDERNAMEFORMAT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSTARTNAMEFORMAT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPRESENTASSIGNEE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEXTENDMULSTR1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTENDMULSTR2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCAPTIONPC NVARCHAR(300) DEFAULT ' ' NOT NULL,
FCAPTIONMOB NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIDYNRESOURCE') 
 CREATE TABLE T_WF_NOCODE_HIDYNRESOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(70) DEFAULT ' ' NOT NULL,
FCONTENT NCLOB,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FPROCINSTID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID VARCHAR(255) DEFAULT ' ' NOT NULL,
FACTINSTID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FDELETEREASON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_NOCODE_HIDYNRESOURCE_L') 
 CREATE TABLE T_WF_NOCODE_HIDYNRESOURCE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL,
FCONTENT NCLOB
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
